From 8d8b38d6fd63d9d85896a26bba8298f19da4c049 Mon Sep 17 00:00:00 2001
From: Baji Patthan <bpatth@codeaurora.org>
Date: Thu, 29 Oct 2015 14:53:33 -0700
Subject: [PATCH 4/4] target: msm8960: add support for compiling the fdt lib

Add support for compiling the dtb library.

Change-Id: I6f1bf0322b3e4c7298697733695a1d266fa83322
Signed-off-by: Baji Patthan <bpatth@codeaurora.org>
---
 target/msm8960/atags.c  | 29 +++++++++++++++++++++++++++++
 target/msm8960/rules.mk |  1 +
 2 files changed, 30 insertions(+)

diff --git a/target/msm8960/atags.c b/target/msm8960/atags.c
index 8ac045c..3f8446e 100755
--- a/target/msm8960/atags.c
+++ b/target/msm8960/atags.c
@@ -239,6 +239,35 @@ unsigned *target_atag_mem(unsigned *ptr)
 	return ptr;
 }
 
+uint32_t target_dev_tree_mem(void *fdt, uint32_t memory_node_offset)
+{
+	struct smem_ram_ptable ram_ptable;
+	uint8_t i = 0, ret=0;
+
+	if (smem_ram_ptable_init(&ram_ptable))
+	{
+		for (i = 0; i < ram_ptable.len; i++)
+		{
+			if (ram_ptable.parts[i].category == SDRAM &&
+					(ram_ptable.parts[i].type == SYS_MEMORY))
+			{
+				/* Pass along all other usable memory regions to Linux */
+				ret = dev_tree_add_mem_info(fdt,
+								memory_node_offset,
+								ram_ptable.parts[i].start,
+								ram_ptable.parts[i].size);
+				if (ret)
+				{
+					dprintf(CRITICAL, "Failed to add secondary banks memory addresses\n");
+					goto target_dev_tree_mem_err;
+				}
+			}
+		}
+	}
+	target_dev_tree_mem_err:
+		return ret;
+}
+
 void *target_get_scratch_address(void)
 {
 	return ((void *) SCRATCH_ADDR);
diff --git a/target/msm8960/rules.mk b/target/msm8960/rules.mk
index 8cf761c..cff1a95 100644
--- a/target/msm8960/rules.mk
+++ b/target/msm8960/rules.mk
@@ -26,6 +26,7 @@ MODULES += \
 	dev/ssbi \
 	lib/ptable \
 	dev/panel/msm \
+	lib/libfdt
 
 DEFINES += \
 	MEMSIZE=$(MEMSIZE) \
-- 
1.8.2.1

